Bug 834583 - kernel-rt-3.2.20-rt32.44.el6rt.x86_64 floods the console with "DMAR [fault reason 02] Present bit in context entry is clear"
kernel-rt-3.2.20-rt32.44.el6rt.x86_64 floods the console with "DMAR [fault re...
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: realtime-kernel (Show other bugs)
2.2
Unspecified Unspecified
high Severity high
: 2.2
: ---
Assigned To: John Kacur
David Sommerseth
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-22 09:57 EDT by David Sommerseth
Modified: 2016-05-22 19:34 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
* Cause: intel-iommu.ko driver has interrupt handling problems with some Sandy Bridge hardware * Consequence: Console gets flooded at boot with DMAR interrupt messages * Fix: default intel-iommu to off and allow loading with kernel command line 'intel_iommu=on' * Result: No DMAR interrupt message flood
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-19 14:04:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Sommerseth 2012-06-22 09:57:51 EDT
Booting kernel-rt-3.2.20-rt32.44 on some servers floods the console with messages like this:

----------------------------------------------
[01:0DRHD: handling fault status reg 2 
DMAR:[DMA Rt entry is clear 
<3>DRHD: handlinentry is clear 
DRHD: handling fault status reg 2 
DMAR:[DMA Read] Request device [01:00.2] fault addr edfe4000  
DMAR:[fault reason 02] Present bit in context entry is clear 
DRHD: handling fault status reg 2 
DMAR:[DMA Read] Request device [01:00.2] fault addr edfe4000  
DMAR:[fault reason 02] Present bit in context entry is clear 
DRHD: handling fault status reg 2 
----------------------------------------------
Comment 3 David Sommerseth 2012-06-22 10:24:47 EDT
A common issue a couple of boxes is this warning:

------------------------------------------------------------------
DMAR: DRHD base: 0x000000fed90000 flags: 0x1 
IOMMU fed90000: ver 1:0 cap c9008020660262 ecap f010da 
DMAR: RMRR base: 0x000000f1ffd000 end: 0x000000f1ffffff 
DMAR: No ATSR found 
IOAPIC id 8 under DRHD base 0xfed90000 
Your BIOS has requested that x2apic be disabled. 
This will leave your machine vulnerable to irq-injection attacks. 
Use 'intremap=no_x2apic_optout' to override BIOS request. 
Enabled IRQ remapping in x2apic mode 
Enabling x2apic 
Enabled x2apic
------------------------------------------------------------------
Comment 4 Beth Uptagrafft 2012-06-29 16:04:43 EDT
Notes from David:
>  btw ... the DMAR issue ... that's present on upstream 3.2.20 kernel as well ... that's the source from kernel.org without PREEMPT_RT patch but with our config

> and intel_iommu=off "removes" this issue ... so we have something to poke further on
Comment 5 Clark Williams 2012-07-05 12:36:06 EDT
Looking at beaker test run on system intel-s3ea2-04.rhts.eng.bos.redhat.com, looks like this might be a system affected by the DMAR issue. Console log:

http://beaker-archive.app.eng.bos.redhat.com/beaker-logs/2012/06/2555/255532/544410/console.log
Comment 7 Clark Williams 2012-07-18 15:37:56 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
* Cause:  intel-iommu.ko driver has interrupt handling problems with some Sandy Bridge hardware
* Consequence: Console gets flooded at boot with DMAR interrupt messages
* Fix: default intel-iommu to off and allow loading with kernel command line 'intel_iommu=on'
* Result: No DMAR interrupt message flood
Comment 8 Beth Uptagrafft 2012-07-18 16:02:31 EDT
from the changelog of 3.2.22-rt34.46, 
- [mrg] turned off INTEL_IOMMU_DEFAULT_ON (DMAR flood issue) [BZ# 834583]
Comment 13 errata-xmlrpc 2012-09-19 14:04:09 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1282.html

Note You need to log in before you can comment on or make changes to this bug.